@import '../../../../global';

.sideNav {
  position: absolute;
  width: 100%;
  height: 100vh;
  .menu {
    position: absolute;
    width: 60%;
    height: 100%;
    background: #21242d;
    margin-left: -100%;
    z-index: +100;
    transition: margin-left 0.5s ease-out;
    padding: 4em 0 4em 0;
    .nav-item {
      margin: 0;
      padding: 0 0 1em 0;
    }
    .nav-item:hover {
      background: $bg;
    }
    a {
      display: block;
      padding: 0 0 0 2em;
      font-size: 1.7rem;
      font-weight: 600;
      color: $primary;
    }
  }
  .menu.true {
    margin-left: 0;
    transition: margin-left 0.5s ease-out;
  }
  .backDrop {
    position: absolute;
    width: 100vw;
    height: 100%;
    background: black;
    opacity: 0.5;
    z-index: +4;
  }
  @media screen and (max-width: $media-width) {
    .backDrop {
      width: 104vw;
    }
  }
}

.sideMenu.false {
  visibility: hidden;
}
